From 6922d8e8bc963ae1cc4582a28293c25e45d558e7 Mon Sep 17 00:00:00 2001
From: skrzepto <shims506@gmail.com>
Date: Jun 21 2016 12:51:32 +0000
Subject: [PATCH 9/9] cleaning up current tests in the widgets folder


---

diff --git a/hubs/tests/test_widgets/test_about.py b/hubs/tests/test_widgets/test_about.py
index 38bddee..a0ec275 100644
--- a/hubs/tests/test_widgets/test_about.py
+++ b/hubs/tests/test_widgets/test_about.py
@@ -25,26 +25,18 @@ class TestBadges(hubs.tests.test_widgets.WidgetTest):
         msg = {'topic': 'hubs.widget.update.WRONG.TOPIC', 'msg': {'widget': {'id': widget.idx}}}
         module = hubs.widgets.registry[widget.plugin]
         result = module.should_invalidate(msg, self.session, widget)
-        assert not result
+        self.assertFalse(result)
 
     def test_should_invalidate_wrong_widget_id(self):
         widget = self.widget_instance('ralph', self.plugin)
         msg = {'topic': 'hubs.widget.update', 'msg': {'widget': {'id': widget.idx+1}}}
         module = hubs.widgets.registry[widget.plugin]
         result = module.should_invalidate(msg, self.session, widget)
-        assert not result
+        self.assertFalse(result)
 
     def test_should_invalidate_good_match(self):
         widget = self.widget_instance('ralph', self.plugin)
         msg = {'topic': 'hubs.widget.update', 'msg': {'widget': {'id': widget.idx}}}
         module = hubs.widgets.registry[widget.plugin]
         result = module.should_invalidate(msg, self.session, widget)
-        assert result
-
-    '''
-    def test_data(self):
-        widget = self.widget_instance('ralph', self.plugin)
-        module = hubs.widgets.registry[widget.plugin]
-        result = module.data(self.session, widget, 'I love oss.')
-        assert_dict_equal({'text': 'I love oss.'}, result)
-    '''
\ No newline at end of file
+        self.assertTrue(result)
diff --git a/hubs/tests/test_widgets/test_badges.py b/hubs/tests/test_widgets/test_badges.py
index 7edd96e..b3b5197 100644
--- a/hubs/tests/test_widgets/test_badges.py
+++ b/hubs/tests/test_widgets/test_badges.py
@@ -13,7 +13,7 @@ class TestBadges(hubs.tests.test_widgets.WidgetTest):
         assert response.status_code == 200, response.status_code
         data = json.loads(response.data)
         self.assertEquals(data['plugin'], 'badges')
-        assert 'assertions' in data['data'], data['data'].keys()
+        self.assertIn('assertions', data['data'].keys())
 
     def test_should_invalidate_wrong_topic(self):
         widget = self.widget_instance('ralph', self.plugin)
@@ -21,7 +21,7 @@ class TestBadges(hubs.tests.test_widgets.WidgetTest):
         msg = {'topic': 'hubs.widget.update.WRONG.TOPIC'}
         module = hubs.widgets.registry[widget.plugin]
         result = module.should_invalidate(msg, self.session, widget)
-        assert not result
+        self.assertFalse(result)
 
     def test_should_invalidate_wrong_user(self):
         widget = self.widget_instance('ralph', self.plugin)
@@ -29,7 +29,7 @@ class TestBadges(hubs.tests.test_widgets.WidgetTest):
         msg = {'topic': 'fedbadges.badge.award', 'msg': {'user': {'username': 'not_ralph'}}}
         module = hubs.widgets.registry[widget.plugin]
         result = module.should_invalidate(msg, self.session, widget)
-        assert not result
+        self.assertFalse(result)
 
     def test_should_invalidate_good_match_fedbadges(self):
         widget = self.widget_instance('ralph', self.plugin)
@@ -37,7 +37,7 @@ class TestBadges(hubs.tests.test_widgets.WidgetTest):
         msg = {'topic': 'fedbadges.badge.award', 'msg': {'user': {'username': 'ralph'}}}
         module = hubs.widgets.registry[widget.plugin]
         result = module.should_invalidate(msg, self.session, widget)
-        assert result
+        self.assertTrue(result)
 
     def test_should_invalidate_good_match_hubswidget(self):
         widget = self.widget_instance('ralph', self.plugin)
@@ -45,40 +45,4 @@ class TestBadges(hubs.tests.test_widgets.WidgetTest):
         msg = {'topic': 'hubs.widget.update', 'msg': {'widget': {'id': widget.idx + 1}}}
         module = hubs.widgets.registry[widget.plugin]
         result = module.should_invalidate(msg, self.session, widget)
-        assert result
-    '''
-    @patch('requests.get')
-    @patch('hubs.widgets.base.cache.get_or_create')
-    def test_data_good(self, cache_mock, requests_mock):
-        requests_mock.return_value = self.mock_response()
-        cache_mock.return_value = None
-        widget = self.widget_instance('ralph', self.plugin)
-        module = hubs.widgets.registry[widget.plugin]
-        result = module.data(self.session, widget, 'ralph')
-        assert result
-    '''
-    @staticmethod
-    def mock_response():
-        test_data_simple = '''{
-            "percent_earned": 47.05882352941176,
-            "assertions": [{
-                "description": "You attended Flock 2014, the Fedora Contributor Conference",
-                "tags": "flock,event,",
-                "issued": 1375373082.0,
-                "image": "https://badges.fedoraproject.org/pngs/flock-2013-attendee.png",
-                "first_awarded": 1375373082.0,
-                "first_awarded_person": "ralph",
-                "last_awarded_person": "gnokii",
-                "last_awarded": 1386188828.0,
-                "percent_earned": 0.404551201011378,
-                "id": "flock-2013-attendee",
-                "times_awarded": 80,
-                "name": "Flock 2013 Attendee"
-            }],
-            "user": "ralph",
-            "avatar": ""
-        }'''
-
-        mock = MagicMock()
-        mock.json.return_value = json.loads(test_data_simple)
-        return mock
+        self.assertTrue(result)
\ No newline at end of file
diff --git a/hubs/tests/test_widgets/test_meetings.py b/hubs/tests/test_widgets/test_meetings.py
index bafb6a3..0a48a83 100644
--- a/hubs/tests/test_widgets/test_meetings.py
+++ b/hubs/tests/test_widgets/test_meetings.py
@@ -10,14 +10,14 @@ class TestMeetings(hubs.tests.test_widgets.WidgetTest):
         team = 'i18n'
         widget = self.widget_instance(team, self.plugin)
         response = self.app.get('/%s/%i/json/' % (team, widget.idx))
-        assert response.status_code == 200, response.status_code
+        self.assertEqual(200, response.status_code)
         data = json.loads(response.data)
         meeting = data['data']['meetings']["%s meeting" % team]
-        assert team in meeting['meeting_name']
+        self.assertIn(team, meeting['meeting_name'])
 
     def test_render_simple(self):
         team = 'i18n'
         widget = self.widget_instance(team, self.plugin)
         response = self.app.get('/%s/%i/' % (team, widget.idx))
-        assert response.status_code == 200, response.status_code
-        assert 'The i18n meeting is ' in response.data, response.data
+        self.assertEqual(200, response.status_code)
+        self.assertIn('The i18n meeting is ', response.data)

